Issue 96100 - MinGW port for icu 4.0
Summary: MinGW port for icu 4.0
Status: CLOSED FIXED
Alias: None
Product: utilities
Classification: Unclassified
Component: code (show other issues)
Version: DEV300m35
Hardware: PC Windows, all
: P3 Trivial (vote)
Target Milestone: OOo 3.1
Assignee: tono
QA Contact: Unknown
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-11-11 14:55 UTC by tono
Modified: 2009-01-25 12:22 UTC (History)
3 users (show)

See Also:
Issue Type: PATCH
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Patch for icu (6.48 KB, patch)
2008-11-11 14:57 UTC, tono
no flags Details | Diff
Patch for solenv/inc/libs.mk (461 bytes, patch)
2008-11-11 14:58 UTC, tono
no flags Details | Diff
Patch for i18npool (3.39 KB, patch)
2008-11-11 14:59 UTC, tono
no flags Details | Diff
Patch for vcl (625 bytes, text/plain)
2008-11-11 15:00 UTC, tono
no flags Details
Patch for vcl (625 bytes, patch)
2008-11-11 15:00 UTC, tono
no flags Details | Diff
Patch for svtools (645 bytes, patch)
2008-11-11 15:01 UTC, tono
no flags Details | Diff
Patch for binfilter (2.14 KB, patch)
2008-11-11 15:02 UTC, tono
no flags Details | Diff
Patch for svx (2.33 KB, text/plain)
2008-11-11 15:03 UTC, tono
no flags Details
Patch for forms (1.93 KB, patch)
2008-11-11 15:04 UTC, tono
no flags Details | Diff
Patch for sw (3.07 KB, patch)
2008-11-11 15:05 UTC, tono
no flags Details | Diff
Updated patch for i18npool (3.43 KB, patch)
2008-11-21 15:35 UTC, tono
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description tono 2008-11-11 14:55:30 UTC
Based on discussions with Eike, I have made up my mind to swith to "typedef 
wchar_t UChar" from "typedef unsigned short UChar". With this policy, required 
patches to icu is limited for icu 4.0. I think they are upstreamable to icu 
tickets in the near future.

Instead, we need several reinterpret_cast's in some modules.

The patches follow.
Comment 1 tono 2008-11-11 14:57:33 UTC
Created attachment 57880 [details]
Patch for icu
Comment 2 tono 2008-11-11 14:58:48 UTC
Created attachment 57881 [details]
Patch for solenv/inc/libs.mk
Comment 3 tono 2008-11-11 14:59:32 UTC
Created attachment 57882 [details]
Patch for i18npool
Comment 4 tono 2008-11-11 15:00:16 UTC
Created attachment 57883 [details]
Patch for vcl
Comment 5 tono 2008-11-11 15:00:33 UTC
Created attachment 57884 [details]
Patch for vcl
Comment 6 tono 2008-11-11 15:01:37 UTC
Created attachment 57886 [details]
Patch for svtools
Comment 7 tono 2008-11-11 15:02:56 UTC
Created attachment 57887 [details]
Patch for binfilter
Comment 8 tono 2008-11-11 15:03:32 UTC
Created attachment 57888 [details]
Patch for svx
Comment 9 tono 2008-11-11 15:04:29 UTC
Created attachment 57889 [details]
Patch for forms
Comment 10 tono 2008-11-11 15:05:30 UTC
Created attachment 57890 [details]
Patch for sw
Comment 11 tono 2008-11-13 12:42:51 UTC
Fixed in cws mingwport16.
Comment 12 ooo 2008-11-13 17:49:35 UTC
@tono: Could you please replace the few remaining C-style casts (UChar*) with
C++ casts, so they're more easily identifiable? Btw, does it have to be a
reinterpret_cast? A static_cast doesn't do?
Comment 13 tono 2008-11-21 15:34:07 UTC
@er: I have updated the patch for i18npool including "(UChar*)NULL". In this 
case static_cast works.
When casting the pointer to sal_Unicode to that to UChar, static_cast does not 
work. GCC treats them as incompatible pointers.
Comment 14 tono 2008-11-21 15:35:23 UTC
Created attachment 58206 [details]
Updated patch for i18npool
Comment 15 ooo 2008-11-21 16:19:57 UTC
Fine, thanks.
Comment 16 tono 2008-11-25 14:46:16 UTC
Reassign for verification.
Comment 17 vg 2009-01-07 12:06:00 UTC
.
Comment 18 vg 2009-01-07 12:15:22 UTC
.
Comment 19 tono 2009-01-25 12:22:42 UTC
Seen in the trunk.